﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.1
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private LogInForm As Form
	Private lblMessage As Label
	Private DataFolder As String 'To hold the directory of the file
	
	'Shared Variables
	Public txtUserName As TextField
End Sub

'Show the Login Screen
Public Sub Show
	If LogInForm.IsInitialized = False Then
		LogInForm.Initialize("layStartForm",300,200)
		LogInForm.Resizable = False
		LogInForm.RootPane.LoadLayout("layLoginForm")
	End If
	LogInForm.Show
	txtUserName.RequestFocus
End Sub

'Get the user name and load the Math Trainer
Sub btnLogin_Click
	If txtUserName.Text.Trim.Length = 0 Then
		lblMessage.Text = "Please enter a valid User Name."
	Else
		LoadUserStats
		LogInForm.Close
		MathTrainer.Show
	End If
End Sub

'If user presses Return in the text box run btnLogin_Click
Sub txtUserName_Action
	btnLogin_Click
End Sub

'Load the User Data
Public Sub LoadUserStats
	If File.Exists(DataFolder, txtUserName.Text & ".txt") Then
		Dim settings As Map = File.ReadMap(DataFolder, txtUserName.Text & ".txt")
		MathTrainer.HStreakNum = settings.GetDefault("HighStreak",False)
		ClickCounter.LifeTimeClicks = settings.GetDefault("LifeTimeClicks", False)	
	End If
End Sub

'Save the User Data
Public Sub SaveUserStats
	File.WriteMap(DataFolder, txtUserName.Text & ".txt", CreateMap("HighStreak": MathTrainer.HStreakNum, _
	"LifeTimeClicks" : ClickCounter.LifeTimeClicks))
End Sub
